#Soubor, který obsahuje výchozí nastavení pro komponentu editor zdrojového kódu.
#Sun Oct 07 18:34:35 CEST 2018


# Hodnota pro index stylu fontu v editoru zdrojového kódu. Dle zadané hodnoty se aplikuje styl fontu. Možné hodnoty (indexy stylů): '0', '1', '2'. Hodnota '0' - Plain, hodnota '1' - Bold a hodnota '2' - Italic.
FontStyle=1


# Hodnota pro velikost písma v editoru zdrojového kódu. Možné hodnoty (možné velikosti písma): <8 ; 100>.
FontSize=14


# Barva pozadí pro editor zdrojového kódu v RGB hodnotě (bez složky alpha). Další možností by bylo mít zde zvlášť každou ze složek RGB(A), bylo by to přehlednější, ale větší množství hodnot. Povolené hodnoty (není započítána složka alpha): <-1 ; -16777216> kde -1 je bílá barva, druhý konec je černá.
BackgroundColor=-1


# Barva písma pro editor zdrojového kódu v RGB hodnotě (bez složky alpha). Další možností by bylo mít zde zvlášť každou ze složek RGB(A), bylo by to přehlednější, ale větší množství hodnot. Povolené hodnoty (není započítána složka alpha): <-1 ; -16777216> kde -1 je bílá barva, druhý konec je černá.
ForegroundColor=-16777216


# Hodnota, která značí, zda se má v editoru zdrojového kódu zvýrazňovat syntaxe dle otevřeného typu (přípony) souboru. Dle některých 'povolených' typů otevřených souborů se nastaví zvýrazňování syntaxe, například pro soubor html, java, Json, properties, xml, css atd. Pro všechny ostatní, které nejsou hlídány nebo pro které není podporováno zvýraznění syntaxe bude zvoleno zvýrazňování dle syntaxe jazyka Java. Povolené hodnoty: 'true', 'false'. Hodnota 'true' značí, že se ve zmíněném editoru bude zvýrazňovat syntaxe dle otevřeného souboru. Hodnota 'false' značí, že se nebude zvýrazňovat syntaxe dle otevřeného souboru. Barvy textu a pozadí budou dle nastavených parametrů.
HighlightingCodeByKindOfFile=true


# Hodnota, která značí, zda se má v editoru zdrojového kódu zvýrazňovat syntaxe nebo ne. Dle některých typů (přípon) otevřených souborů se nastaví zvýrazňování syntaxe, například pro soubor html, java, Json, properties, xml atd. Pro všechny ostatní, které nejsou hlídány nebo podporovány bude zvoleno zvýrazňování dle syntaxe jazyka Java. Povolené hodnoty: 'true', 'false'. Hodnota 'true' značí, že se ve zmíněném editoru bude zvýrazňovat syntaxe. Hodnota 'false' značí, že se nebude zvýrazňovat syntaxe. Barvy textu a pozadí budou dle nastavených parametrů.
HighlightingCode=true


# Hodnota, která značí, zda se má otevřená třída v editoru zdrojového kódu (případně všechny třídy v diagramu tříd v otevřeném projektu) zkompilovat a v případě úspěchu doplnit nové hodnoty (proměnné a metody) do okna pro auto doplňování kódu. Pokud je toto povoleno, třída (/ třídy) se zkompilují po stisknutí středníku nebo zavírací závorky (složené ']' nebo špičaté '}') na anglické klávesnici. Povolené hodnoty: 'true', 'false'. Hodnota 'true' značí, že se má třída (/ třídy) zkompilovat po stisknutí jedné z uvedených kláves. Hodnota 'false' tuto funkci kompilace po stisknutí jedné z uvedených kláves zakáže.
CompileClassInBackground=true


# Hodnota, která značí, zda se má zalamovat text v dialogu editor zdrojového kódu. Povolené hodnoty: 'true', 'false'. Hodnota 'true' značí, že se bude zalamovat text v editoru. Hodnota 'false' značí, že se nebude zalamovat text v editoru.
WrapTextInEditor=false


# Hodnota, která značí, zda se mají v dialogu editor zdrojového kódu zobrazovat bílé znaky. Povolné hodnoty: 'true', 'false'. Hodnota 'true' značí, že se v editoru budou zobrazovat bílé znaky. Hodnota 'false' značí, že se v editoru nebudou zobrazovat bílé znaky.
ShowWhiteSpaceInEditor=false


# Hodnota, která značí, zda se mají v dialogu editor zdrojového kódu odebírat bílé znaky po vložení nového řádku. V takovém případě budou bílé znaky odebrány z řádku, kde byl kurzor při stisknutí klávesy 'Enter' pro vložení nového řádku. Povolné hodnoty: 'true', 'false'. Hodnota 'true' značí, že se v po stisknutí klávesy 'Enter' odeberou bílé znaky z řádku, kde se nachází kurzor. Hodnota 'false' značí, že se v editoru nebudou odebírat bílé znaky.
ClearWhiteSpaceLineInEditor=false


# Hodnota, která značí, zda se mají odebírat prázdné řádky v blocích kódu. Povolené hodnoty: 'true', 'false'. Hodnota 'true' značí, že se budou odebírat prázdné řádky v blocích kódu, například v metodách, konstruktorech apod. Hodnota 'false' značí, že se nebudou odebírat prázdné řádky.
DeleteEmptyLines=true


# Hodnota, která značí, zda se mají bílé znaky tabulátoru převést na mezery. Povolené hodnoty: 'true', 'false'. Hodnota 'true' značí, že se budou tabulátory nahrazovat mezerami. Hodnota 'false' značí, že bíle znaky tabulátoru nebudou ničím nahrazeny.
TabSpaceConversion=true


# Hodnota, která značí, zda se má zalamovat kód 'else if ()...'. Povolené hodnoty: 'true', 'false'. Hodnota 'true' značí, že se v uvedené syntaxi zalomí část za 'else' na nový řádek. Hodnota 'false' značí, že se uvedená syntaxe nebude zalamovat.
BreakElseIf=false


# Hodnota, která značí, zda se mají zalamovat příkazy na jednotlivé řádky. Tedy na jednom řádku může být pouze jeden příkaz. Povolené hodnoty: 'true', 'false'. Hodnota 'true' značí, že na jednom řádku bude jeden příkaz. Pokud by na jednom řádku byly například dvě volání metody, každé volání se zalomí na nový řádek. Hodnota 'false' značí, že na jednom řádku bude moci být více příkazů.
SingleStatement=true


# Hodnota, která značí, zda se má zalomit jednořádkový blok kódu na více řádků. Například metoda, která vrací null hodnotu může být uvedena na jednom řádku nebo zalomena na tři řádky. Povolené hodnoty: 'true', 'false'. Hodnota 'true' značí, že se blok kódu, který lze rozdělit na více řádků zalomí na více řádků. Hodnota 'false' značí, že bloky kódu zůstanou na jednom řádku, jsou li tak napsané.
BreakOneLineBlock=false


# Hodnota, která značí, zda se má zalomit kód za zavírací závorkou. Například v případě bloku 'else' nebo 'catch'. Povolené hodnoty: 'true', 'false'. Hodnota 'true' značí, že se kód za zavírací závorkou zalomí na nový řádek. Hodnota 'false' značí, že na řádku za zavírací závorkou bude mocí být další kód.
BreakClosingHeaderBrackets=false


# Hodnota, která značí, zda se mají oddělit nesouvisející bloky kódu prázdnými řádky. Povolené hodnoty: 'true', 'false'. Hodnota 'true' značí, že se nesouvisející bloky kódu oddělí prázdným řádkem. Například za zavírací závorkou podmínky ('if') bude prázdný řádek, za kterým bude následovat další blok kódu. Hodnota 'false' značí, že se nebudou oddělovat nesouvicesjící bloky kódu.
BreakBlocks=false


# Hodnota, která značí, zda se mají operátory obalit mezerami. Tedy operátory budou od operandů odděleny mezerami. Povolené hodnoty: 'true', 'false'. Hodnota 'true' značí, že operátory budou od operandů odděleny mezerami. Hodnota 'false' značí, že se k operátorům nebudou přidávat či od nich odebírat žádné znaky.
OperatorPadding=true
